1.0

1.0

get /v1/dashboards

Description

Get list of dashboards

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260630

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : name:asc or modified_at:desc
any of [string, null]None
queryname
optional
Dashboard’s name
Example : MyProd
any of [string, null]None
queryname_like
optional
Wildcard Search for Dashboard Names
Example : MyProd
any of [string, null]None
queryfavorite_enabled
optional
Whether it is a favorite dashboard
Example : True
any of [boolean, null]None

Responses

HTTP CodeDescriptionSchema
200OKDashboardPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/dashboards

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "dashboards": [
        {
            "created_at": "2026-02-11T06:44:14.008Z",
            "favorite_enabled": true,
            "id": "b48e730a70e74f6aa3d2555000b5c22b",
            "modified_at": "2026-02-11T06:44:14.008Z",
            "name": "Production-Web-Servers",
            "type": "Custom"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}